uk:
  activemodel:
    attributes:
      saml/provider:
        display_name: Ім’я
        identifier: Ідентифікатор
        secret: Секрет
        scope: Область
        assertion_consumer_service_url: URL-адреса ACS (Служба підтримки споживачів)
        limit_self_registration: Обмежити самостійну реєстрацію
        sp_entity_id: ID сервісної організації
        metadata_url: URL-адреса метаданих постачальника ідентифікаційних даних
        name_identifier_format: Формат ідентифікатора імені
        idp_sso_service_url: Кінцева точка входу постачальника ідентифікаційних даних
        idp_slo_service_url: Кінцева точка виходу постачальника ідентифікаційних даних
        idp_cert: Загальнодоступний сертифікат постачальника ідентифікаційних даних
        authn_requests_signed: Підписувати запити SAML AuthnRequest
        want_assertions_signed: Вимагати підписані відповіді
        want_assertions_encrypted: Вимагати зашифровані відповіді
        certificate: Сертифікат, який OpenProject використовує для запитів SAML
        private_key: Відповідний закритий ключ для запитів SAML OpenProject
        signature_method: Алгоритм підпису
        digest_method: Алгоритм зведення
        format: "Формат"
        icon: "Користувацький значок"
  activerecord:
    errors:
      models:
        saml/provider:
          invalid_certificate: "не є дійсним сертифікатом у форматі PEM: %{additional_message}"
          invalid_private_key: "не є дійсним закритим ключем у форматі PEM: %{additional_message}"
          certificate_expired: "більше не діє і не може використовуватися."
          unmatched_private_key: "не належить до даного сертифікату"
  saml:
    menu_title: Постачальники SAML
    info:
      title: "Параметри конфігурації протоколу SAML"
      description: >
        Використовуйте ці параметри, щоб налаштувати підключення свого постачальника ідентифікаційних даних в OpenProject.
    metadata_parser:
      success: "Конфігурацію оновлено за допомогою метаданих постачальника ідентифікаційних даних."
      invalid_url: "Надано неправильну URL-адресу метаданих. Укажіть URL-адресу HTTP(s)."
      error: "Не вдалось отримати метадані постачальника ідентифікаційних даних: %{error}"
    providers:
      label_empty_title: "Поки не налаштовано жодного постачальника послуг SAML."
      label_empty_description: "Додайте постачальника послуг, і він з’явиться тут."
      label_automatic_configuration: Автоматична конфігурація
      label_metadata: Метадані
      label_metadata_endpoint: Кінцева точка метаданих OpenProject
      label_openproject_information: Інформація OpenProject
      label_configuration_details: "Кінцеві точки й сертифікати постачальника ідентифікаційних даних"
      label_configuration_encryption: "Підписи й шифрування"
      label_add_new: Додати постачальника ідентифікаційних даних SAML
      label_edit: Редагувати постачальника ідентифікаційних даних SAML %{name}
      label_uid: Внутрішній ID користувача
      label_mapping: Зіставлення
      label_mapping_for: "Зіставлення для: %{attribute}"
      label_requested_attribute_for: "Запитаний атрибут для: %{attribute}"
      no_results_table: Поки не визначеного жодного постачальника ідентифікаційних даних SAML.
      plural: Постачальники ідентифікаційних даних SAML
      singular: Постачальник ідентифікаційних даних SAML
      requested_attributes: Запитувані атрибути
      attribute_mapping: Зіставлення атрибутів
      attribute_mapping_text: >
        Наведені нижче поля визначають, які атрибути, надані постачальником ідентифікаційних даних SAML, використовуються для надання атрибутів користувача в OpenProject
      metadata:
        dialog: "Це URL-адреса, за якою доступні метадані SAML OpenProject. Ви можете використовувати її для налаштування свого постачальника ідентифікаційних даних:"
      upsale:
        description: Підключіть OpenProject до постачальника ідентифікаційних даних SAML
      request_attributes:
        title: 'Запитувані атрибути'
        legend: >
          Ці атрибути додаються до XML метаданих SAML. Таким чином постачальник ідентифікаційних даних може дізнатися, які атрибути потрібні OpenProject. Можливо, вам усе одно знадобиться явно налаштувати свого постачальника ідентифікаційних даних для надсилання цих атрибутів. Ознайомтеся з документацією постачальника ідентифікаційних даних.
        name: 'Запитаний ключ атрибута'
        format: 'Формат атрибута'
      section_headers:
        configuration: "Основна конфігурація"
        attributes: "Атрибути"
      section_texts:
        display_name: "Налаштуйте коротке ім’я постачальника послуг SAML."
        metadata: "Попередньо заповніть конфігурацію, використовуючи URL-адресу метаданих або вставивши XML метаданих"
        metadata_form: "Якщо в постачальника ідентифікаційних даних є кінцева точка метаданих або він надає можливість завантажити XML, додайте його нижче, щоб заповнити конфігурацію."
        metadata_form_banner: "Редагування метаданих може замінити наявні значення в інших розділах. "
        configuration: "Налаштуйте URL-адреси кінцевих точок для постачальника ідентифікаційних даних, сертифікатів і інших параметрів SAML."
        configuration_metadata: "Цю інформацію отримано з наданих метаданих. Здебільшого вона не потребує редагування."
        encryption: "Налаштуйте підписи тверджень і шифрування для запитів SAML і відповідей."
        encryption_form: "За бажанням ви можете зашифрувати відповідь твердження. Або ж використовуйте підписані запити з OpenProject."
        mapping: "Вручну налаштуйте зіставлення відповіді SAML і атрибутів користувача в OpenProject."
        requested_attributes: "Визначте набір атрибутів, які передаватимуться в запиті SAML, що надсилається вашому постачальнику ідентифікаційних даних."
      seeded_from_env: "Цього постачальника додано з конфігурації середовища. Його не можна змінити."
    settings:
      metadata_none: "У мене немає метаданих"
      metadata_url: "URL-адреса метаданих"
      metadata_xml: "XML метаданих"
    instructions:
      documentation_link: >
        Щоб дізнатися більше про ці варіанти конфігурації, ознайомтеся з нашою [документацією щодо налаштування постачальників SAML](docs_url).
      display_name: >
        Ім’я постачальника послуг. Відображатиметься як кнопка входу й пункт у списку постачальників послуг.
      metadata_none: >
        Your identity provider does not have a metadata endpoint or XML download option. You can configure it manually.
      metadata_url: >
        Ваш постачальник ідентифікаційних надає URL-адресу метаданих.
      metadata_xml: >
        Ваш постачальник ідентифікаційних надає можливість завантаження XML метаданих.
      limit_self_registration: >
        Якщо ввімкнено, користувачі можуть зареєструватися лише через цього постачальника послуг, коли це дозволено параметром самостійної реєстрації.
      sp_entity_id: >
        ID об’єкта постачальника послуг (SP), або «Аудиторія». Це унікальний ідентифікатор клієнта екземпляра OpenProject.
      idp_sso_service_url: >
        URL-адреса кінцевої точки входу постачальника ідентифікаційних даних.
      idp_slo_service_url: >
        URL-адреса кінцевої точки входу постачальника ідентифікаційних даних.
      idp_cert: >
        Введіть загальнодоступний сертифікат постачальника ідентифікаційних даних у форматі X509 PEM. Ви можете ввести кілька сертифікатів по одному в рядку.
      name_identifier_format: >
        Задайте формат ідентифікатора імені для твердження SAML.
      sp_metadata_endpoint: >
        Це URL-адреса, за якою доступні метадані SAML OpenProject. Ви можете використовувати її для налаштування свого постачальника ідентифікаційних даних.
      mapping: >
        Налаштуйте зіставлення між відповіддю SAML і атрибутами користувача в OpenProject. Ви можете вказати кілька імен атрибутів для пошуку. OpenProject вибере перший доступний атрибут із відповіді SAML.
      mapping_login: >
        Атрибути SAML із відповіді, використані для облікових даних.
      mapping_mail: >
        Атрибути SAML із відповіді, використані для електронної адреси користувача.
      mapping_firstname: >
        Атрибути SAML із відповіді, використані для імені.
      mapping_lastname: >
        Атрибути SAML із відповіді, використані для прізвища.
      mapping_uid: >
        Атрибути SAML для внутрішнього ідентифікатора користувача. Не вказуйте, щоб використовувати натомість атрибут name_id
      request_uid: >
        Атрибути SAML для запиту внутрішнього ідентифікатора користувача. За замовчуванням у цьому полі використовуватиметься атрибут name_id.
      requested_attributes: >
        Ці атрибути додано до XML запиту SAML. Так постачальник ідентифікаційних даних знатиме, які атрибути потрібні OpenProject.
      requested_format: >
        Формат запитуваного атрибута. Визначає формат атрибута в запиті SAML. Щоб дізнатися більше, ознайомтеся з [документацією щодо налаштування запитуваних атрибутів](docs_url).
      authn_requests_signed: >
        Якщо вибрано, OpenProject підписуватиме запити SAML AuthnRequest. Вам потрібно буде надати сертифікат підпису й закритий ключ за допомогою полів нижче.
      want_assertions_signed: >
        Якщо вибрано, OpenProject вимагатиме підписані відповіді від постачальника ідентифікаційних даних за допомогою власної пари сертифікатів. OpenProject перевірить підпис за сертифікатом із розділу базової конфігурації.
      want_assertions_encrypted: >
        Якщо ввімкнено, постачальник ідентифікаційних зобов’язаний зашифрувати відповідь твердження за допомогою наданої вами пари сертифікатів.
      certificate: >
        Введіть сертифікат X509 у форматі PEM, за допомогою якого OpenProject підписує запити SAML.
      private_key: >
        Введіть закритий ключ X509 у форматі PEM для зазначеного вище сертифіката. Це має бути закритий ключ RSA.
      signature_method: >
        Виберіть алгоритм підпису, який використовуватиметься для підпису запиту X509, що виконується в OpenProject (за замовчуванням: %{default_option}).
      digest_method: >
        Виберіть алгоритм зведення, який використовуватиметься для підпису запиту X509, що виконується в OpenProject (за замовчуванням: %{default_option}).
      icon: >
        За бажанням надайте загальнодоступну URL-адресу для значка, який відображатиметься біля імені постачальника послуг.
      metadata_for_idp: >
        Цю інформацію може запитати ваш постачальник ідентифікаційних даних SAML.
